package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("V_RS_PSAM_AZJGXX")
@ApiModel(value="VRsPsamAzjgxx对象", description="PSAM卡安装机构信息")
public class VRsPsamAzjgxx {

    @ApiModelProperty(value = "PSAM卡申请表流水号")
    @TableId(value = "RS_PSAM_AZJGXX_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamAzjgxxLsh;

    @ApiModelProperty(value = "机构名称")
    @TableField("JGMC")
    private String jgmc;

    @ApiModelProperty(value = "机构地址")
    @TableField("JGDZ")
    private String jgdz;
    
    @ApiModelProperty(value = "统一信用代码")
    @TableField("CORP_CODE")
    private String corpCode;
    
    @ApiModelProperty(value = "删除标识")
    @TableField("TS_SCBS")
    private String tsScbs;
    
    @ApiModelProperty(value = "创建人")
    @TableField("CJR")
    private String cjr;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;
    
    @ApiModelProperty(value = "最后修改人")
    @TableField("ZHXGR")
    private String zhxgr;
    
    @ApiModelProperty(value = "最后修改时间")
    @TableField("ZHXGSJ")
    private String zhxgsj;

	public String getRsPsamAzjgxxLsh() {
		return rsPsamAzjgxxLsh;
	}

	public void setRsPsamAzjgxxLsh(String rsPsamAzjgxxLsh) {
		this.rsPsamAzjgxxLsh = rsPsamAzjgxxLsh;
	}

	public String getJgmc() {
		return jgmc;
	}

	public void setJgmc(String jgmc) {
		this.jgmc = jgmc;
	}

	public String getJgdz() {
		return jgdz;
	}

	public void setJgdz(String jgdz) {
		this.jgdz = jgdz;
	}

	public String getCorpCode() {
		return corpCode;
	}

	public void setCorpCode(String corpCode) {
		this.corpCode = corpCode;
	}

	public String getTsScbs() {
		return tsScbs;
	}

	public void setTsScbs(String tsScbs) {
		this.tsScbs = tsScbs;
	}

	public String getCjr() {
		return cjr;
	}

	public void setCjr(String cjr) {
		this.cjr = cjr;
	}

	public String getCjsj() {
		return cjsj;
	}

	public void setCjsj(String cjsj) {
		this.cjsj = cjsj;
	}

	public String getZhxgr() {
		return zhxgr;
	}

	public void setZhxgr(String zhxgr) {
		this.zhxgr = zhxgr;
	}

	public String getZhxgsj() {
		return zhxgsj;
	}

	public void setZhxgsj(String zhxgsj) {
		this.zhxgsj = zhxgsj;
	}

}